module Backup.Sorting
    (
      sort
    ) where

sort :: Ord a => [a] -> [a]
sort [] = []
sort (x:xs) = less ++ x : more
    where
        less = sort [x' | x' <- xs, x' < x]
        more = sort [x' | x' <- xs, x' >= x]

